> For the complete documentation index, see [llms.txt](https://docs.omnata.com/omnata-product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnata.com/omnata-product-documentation/omnata-connect-for-salesforce/omnata-with-salesforce-connect-external-objects.md).

# Omnata with Salesforce Connect (External Objects)

### Salesforce Connect Adapter <a href="#salesforce-connect-adapter" id="salesforce-connect-adapter"></a>

Omnata Connect is a [custom adapter](https://developer.salesforce.com/docs/atlas.en-us.apexcode.meta/apexcode/apex_connector_custom_adapter.htm) for Salesforce Connect which allows tables and views from a Snowflake account to be accessed as [External Objects](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_external_objects.htm).

Whenever an External Object is accessed, the adapter creates a SQL query, executes the query in your data platform via a REST API call, and translates the result back into native Salesforce data types.

External Objects virtualise queried data on-platform without replicating it.

### Using External Objects <a href="#overall-considerations" id="overall-considerations"></a>

External Objects behave very similarly to Standard and Custom Objects, but do not offer identical functionality for some platform features.

To understand the differences, refer to [Salesforce Platform Features Supported by Salesforce Connect](https://help.salesforce.com/s/articleView?id=sf.platform_connect_considerations.htm\&type=5) in the Salesforce docs.

### Architecture <a href="#architecture" id="architecture"></a>

The below diagram outlines how Omnata fits between Salesforce and your cloud data warehouse.

![Omnata runs inside your Salesforce instance as a native app](/files/fxfYbzKZ08L5j66LbTei)

### Use Cases <a href="#use-cases" id="use-cases"></a>

* Displaying a list of related records on a Salesforce object page
* Displaying the field values of individual records
* Creating reports using standard Salesforce reporting functionality
* Incorporating data from cloud data warehouse tables into Salesforce Flows
* Incorporating data from cloud data warehouse tables into Einstein chatbot responses

### Supported Data Types <a href="#supported-data-types" id="supported-data-types"></a>

Per the Salesforce [documentation](https://developer.salesforce.com/docs/atlas.en-us.apexcode.meta/apexcode/apex_enum_DataSource_DataType.htm), the following data types are supported by Salesforce Connect:

| Salesforce Data type   | Description                  |
| ---------------------- | ---------------------------- |
| BOOLEAN\_TYPE          | Boolean                      |
| DATETIME\_TYPE         | Date/time                    |
| EXTERNAL\_LOOKUP\_TYPE | External lookup relationship |
| INDIRECT\_LOOKUP\_TYPE | Indirect lookup relationship |
| LOOKUP\_TYPE           | Lookup relationship          |
| NUMBER\_TYPE           | Number                       |
| STRING\_LONG\_TYPE     | Long text area               |
| STRING\_SHORT\_TYPE    | Text area                    |
| URL\_TYPE              | URL                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-connect-for-salesforce/omnata-with-salesforce-connect-external-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
